<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link rel="preconnect" href="https://fonts.gstatic.com"> 
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Creepster&display=swap" rel="stylesheet">

	<link rel="preconnect" href="https://fonts.gstatic.com"> 
	<link href="https://fonts.googleapis.com/css2?family=Allerta&display=swap" rel="stylesheet">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/home1.css">
	<!-- <link rel="stylesheet" href="<?php //echo get_template_directory_uri(); ?>/css/teampopup.css"> -->

	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		
	<div id="loading-area"><div class="la-anim-10"></div></div>
	<!-- header -->
	<!-- #masthead -->


<?php if(get_theme_mod('peccular_header_style', 'On Slider') == 'On Slider' ){ ?>
<header class="site-header header-transparent header mo-left header-seo" style="position:absolute;">
	<div class="top-header">
		<?php
      $peccular_topheader_text = get_theme_mod('peccular_topheader_text', 'Spooktacular Savings Await You This Halloween'); 
      ?>  
         <?php if( $peccular_topheader_text){ ?>
        	<div class="tophead-textbox"> 
	        	<h2>
	        	<?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/topiconimg.png">';?>                	
	        	<?php echo ($peccular_topheader_text );  ?>
	         <?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/topiconimg.png">';?> 
	         </h2>  	
         </div>
        <?php }?>

	</div>
	<div class="col-xl-12 col-md-12 col-sm-12 col-xs-12 mainheaderbox">
	<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?>">	
						<!-- <div class="row row-eq-height"> -->
	<div class="row">
	<div class="col-xl-3 col-md-3 col-sm-3 col-xs-12">
		
		<div class="logo">
			<div class="inside-full-height">
							
				<?php 
							
				if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
				$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
				}
				if( get_theme_mod('pages_logoheight',true) ) {
				$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
				}
				if( get_theme_mod('pages_logoToppadding',true) ) {
				$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
				}
				if( get_theme_mod('pages_logobottompadding',true) ) {
				$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
				}
				if( get_theme_mod('pages_logoTopmargin',true) ) {
				$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
				}
				if( get_theme_mod('pages_logobottommargin',true) ) {
				$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
				}
				?>
				<!-- website logo -->
				<div class="logo-header">
						
            <?php 
					if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
						the_custom_logo();
						else : 
						if ( is_front_page() ) : ?>
						<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
						<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
						<?php endif; ?>
						<?php else : ?>
						<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
						<?php endif; ?>
						<?php endif; ?>
				</div>
				</div>
				<?php if (get_theme_mod('peccular_show_tagline',false)) {?>                       
				<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>			 
			<?php }?>
		</div>

	</div><!--logo -->

	<div class="col-xl-9 col-md-9 col-sm-9 col-xs-12">
	<div class="maintop-header">	
	<div class="row">
		
		<div class="col-xl-8 col-lg-8 col-md-8 col-sm-8 col-xs-12 searchbox">

			<div class="cat-search-single">
						<?php
							$supermarketecommercestore_search_placeholder = get_theme_mod('supermarketecommercestore_search_placeholder', 'Search Product');
						?>
					<div id="sb-search" class="sb-search">
					<form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
						<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
						<input type="search" class="search-field" placeholder="<?php echo ($supermarketecommercestore_search_placeholder);  ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />
						<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'woocommerce' ); ?>" />
						<input type="hidden" name="post_type" value="product" />
						</form>
					</div>	
						<div class="clearfix"></div>

							</div>
			
		</div>
		<div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 topmenu">

			<ul>
				<li>
					
			   	<?php
                 
                  $peccular_headerlikebtnurl = get_theme_mod('peccular_headerlikebtnurl', 'Add "Like Button" link here');
               ?>
                    
                    	<div class="head-btnicon">                    		
                       <a href="<?php echo $peccular_headerlikebtnurl; ?>"title="like-button"><i class="fa fa-heart-o" aria-hidden="true"></i></a>
                    </div>
                   
				</li>
				<li>
					<?php
                 
                  $peccular_headercarturl = get_theme_mod('peccular_headercarturl', 'Add "Cart Button" link here');
               ?>
					<div class="total-count">	
						<?php if(function_exists ('wc_get_cart_url')){?>				
						<a href="<?php echo wc_get_cart_url();?>" class=""><i class="fa fa-shopping-cart"></i></a>
							<div class="count"><!-- <?php //global $woocommerce; ?> --><?php echo WC()->cart->get_cart_contents_count(); ?> </div>
									
						<?php }?>
						</div>

				</li>
				<li>
					<?php
                  $peccular_header_signinbutton_text = get_theme_mod('peccular_header_signinbutton_text', 'Sign In'); 
                  $peccular_headersigninurl = get_theme_mod('peccular_headersigninurl', 'Add Link Here');
               ?>
               <?php if( $peccular_header_signinbutton_text){ ?>
                 	<div class="head-signicon">               	
                  <a href="<?php echo $peccular_headersigninurl; ?>" title="Header-Sign In"><i class="fa fa-user-o" aria-hidden="true"></i><?php echo ($peccular_header_signinbutton_text );  ?></a>
                  </div>
               <?php }?>

				</li>
				


			</ul>
		</div>
	</div>	
	</div>	<!-- maintop-header-->
	<div class="mainbottom-header top-bar-head  <?php if( get_theme_mod( 'peccular_show_sticky_header', false) != '') { ?>sticky-header peccular-header <?php } ?>" style="border-radius: 0px;">						
		
			<div class="header-nav-area">
											 
			<div class="row row-eq-height md-1">
			
				<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 head-menu pd-0">
						<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>
					<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 ">
						
						<div class="row md-1">
							<div class="site-navigation">
		                  <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                  </div>
		                  <nav class="navigation">
		                     <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                       <div class="menu-wrapper">
		                           <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                              </div> <!-- /.hours-content-->		                              

												<div class="clearfix"></div>

		                        </div><!-- /.menu-wrapper --> 
		                  </nav>	
		                     	                       
		             </div><!--  /.site-navigation -->		                   
						</div>
					</div><!-- col 12 icons -->
							

		        </div>
		                    <div class="clearfix"></div>
			</div>
			
			
		</div>
						
		</div>
		
		</div><!-- sticky header -->	
	</div><!-- col 9-->	
</div><!-- row-->	
</div><!-- container-->
		</div><!-- col 12-->		
		<div class="clearfix"></div>

</div>

<!--end main top header-->	


</header>

 <?php } elseif(get_theme_mod('peccular_header_style', 'On Slider') == 'Above Slider' ){ ?>

<header class="site-header header-transparent header mo-left header-seo" style="position:relative">
		
<div class="top-header">
		<?php
      $peccular_topheader_text = get_theme_mod('peccular_topheader_text', 'Spooktacular Savings Await You This Halloween'); 
      ?>  
         <?php if( $peccular_topheader_text){ ?>
        	<div class="tophead-textbox"> 
	        	<h2>
	        	<?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/topiconimg.png">';?>                	
	        	<?php echo ($peccular_topheader_text );  ?>
	         <?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/topiconimg.png">';?> 
	         </h2>  	
         </div>
        <?php }?>

	</div>
	<div class="col-xl-12 col-md-12 col-sm-12 col-xs-12 mainheaderbox">
	<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?>">	
						<!-- <div class="row row-eq-height"> -->
	<div class="row">
	<div class="col-xl-3 col-md-3 col-sm-3 col-xs-12">
		
		<div class="logo">
			<div class="inside-full-height">
							
				<?php 
							
				if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
				$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
				}
				if( get_theme_mod('pages_logoheight',true) ) {
				$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
				}
				if( get_theme_mod('pages_logoToppadding',true) ) {
				$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
				}
				if( get_theme_mod('pages_logobottompadding',true) ) {
				$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
				}
				if( get_theme_mod('pages_logoTopmargin',true) ) {
				$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
				}
				if( get_theme_mod('pages_logobottommargin',true) ) {
				$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
				}
				?>
				<!-- website logo -->
				<div class="logo-header">
						
            <?php 
					if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
						the_custom_logo();
						else : 
						if ( is_front_page() ) : ?>
						<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
						<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
						<?php endif; ?>
						<?php else : ?>
						<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
						<?php endif; ?>
						<?php endif; ?>
				</div>
				</div>
				<?php if (get_theme_mod('peccular_show_tagline',false)) {?>                       
				<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>			 
			<?php }?>
		</div>

	</div><!--logo -->

	<div class="col-xl-9 col-md-9 col-sm-9 col-xs-12">
	<div class="maintop-header">	
	<div class="row">
		
		<div class="col-xl-8 col-lg-8 col-md-8 col-sm-8 col-xs-12 searchbox">

			<div class="cat-search-single">
						<?php
							$supermarketecommercestore_search_placeholder = get_theme_mod('supermarketecommercestore_search_placeholder', 'Search Product');
						?>
					<div id="sb-search" class="sb-search">
					<form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
						<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
						<input type="search" class="search-field" placeholder="<?php echo ($supermarketecommercestore_search_placeholder);  ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />
						<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'woocommerce' ); ?>" />
						<input type="hidden" name="post_type" value="product" />
						</form>
					</div>	
						<div class="clearfix"></div>

							</div>
			
		</div>
		<div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 topmenu">

			<ul>
				<li>
					
			   	<?php
                 
                  $peccular_headerlikebtnurl = get_theme_mod('peccular_headerlikebtnurl', 'Add "Like Button" link here');
               ?>
                    
                    	<div class="head-btnicon">                    		
                       <a href="<?php echo $peccular_headerlikebtnurl; ?>"title="like-button"><i class="fa fa-heart-o" aria-hidden="true"></i></a>
                    </div>
                   
				</li>
				<li>
					<?php
                 
                  $peccular_headercarturl = get_theme_mod('peccular_headercarturl', 'Add "Cart Button" link here');
               ?>
					<div class="total-count">	
						<?php if(function_exists ('wc_get_cart_url')){?>				
						<a href="<?php echo wc_get_cart_url();?>" class=""><i class="fa fa-shopping-cart"></i></a>
							<div class="count"><!-- <?php //global $woocommerce; ?> --><?php echo WC()->cart->get_cart_contents_count(); ?> </div>
									
						<?php }?>
						</div>

				</li>
				<li>
					<?php
                  $peccular_header_signinbutton_text = get_theme_mod('peccular_header_signinbutton_text', 'Sign In'); 
                  $peccular_headersigninurl = get_theme_mod('peccular_headersigninurl', 'Add Link Here');
               ?>
               <?php if( $peccular_header_signinbutton_text){ ?>
                 	<div class="head-signicon">               	
                  <a href="<?php echo $peccular_headersigninurl; ?>" title="Header-Sign In"><i class="fa fa-user-o" aria-hidden="true"></i><?php echo ($peccular_header_signinbutton_text );  ?></a>
                  </div>
               <?php }?>

				</li>
				


			</ul>
		</div>
	</div>	
	</div>	<!-- maintop-header-->
	<div class="mainbottom-header top-bar-head  <?php if( get_theme_mod( 'peccular_show_sticky_header', false) != '') { ?>sticky-header peccular-header <?php } ?>" style="border-radius: 0px;">						
		
			<div class="header-nav-area">
											 
			<div class="row row-eq-height md-1">
			
				<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 head-menu pd-0">
						<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>
					<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 ">
						
						<div class="row md-1">
							<div class="site-navigation">
		                  <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                  </div>
		                  <nav class="navigation">
		                     <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                       <div class="menu-wrapper">
		                           <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                              </div> <!-- /.hours-content-->		                              

												<div class="clearfix"></div>

		                        </div><!-- /.menu-wrapper --> 
		                  </nav>	
		                     	                       
		             </div><!--  /.site-navigation -->		                   
						</div>
					</div><!-- col 12 icons -->
							

		        </div>
		                    <div class="clearfix"></div>
			</div>
			
			
		</div>
						
		</div>
		
		</div><!-- sticky header -->	
	</div><!-- col 9-->	
</div><!-- row-->	
</div><!-- container-->
		</div><!-- col 12-->		
		<div class="clearfix"></div>

</div>

</header>

	 <?php }?>

	</div>