<?php 
$wp_customize->add_section(
    'peccular_featuredproduct_section',
    array(
        'title'   => __( 'Featured Product', 'peccular' ),
        'panel'   => 'peccular_premium_home_panel1',
        'priority' =>20
    )
);

$wp_customize->add_setting('peccular_featuredproduct_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_featuredproduct_nav', array(
       'section' => 'peccular_featuredproduct_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_featuredproduct_enable', 
                'peccular_featuredproduct_maintitle',
                'peccular_featuredproduct_subtitle',
                'peccular_featuredproduct_procattag',
                'topcatproduct_categories',
                'catproduct_protopcat_title',
              
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_featuredproduct_section_bg_color',
                'peccular_featuredproduct_section_bg_image',
                'peccular_featuredproduct_box_onload_effects',
                'peccular_featuredproduct_head_align',                 
                'peccular_featuredproduct_heading_color',
                'peccular_featuredproduct_headborder1_color',           
                'peccular_featuredproduct_bxtitle_color',                                
                'peccular_featuredproduct_bx1btntext_color',      
                'peccular_featuredproduct_bxprice1_color',
                'peccular_featuredproduct_bxprice2_color',
                'peccular_featuredproduct_bxtitlehov_color',      
                'peccular_featuredproduct_bxbtnhovtext_color',
                'peccular_featuredproduct_subheading_color',
                'peccular_featuredproduct_contboxbg_color',
                'peccular_featuredproduct_bxtbtnbg_color1',
                'peccular_featuredproduct_bxtbtnbg_color2',                


            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_featuredproduct_padding',                
                'peccular_featuredproduct_top_padding',
                'peccular_featuredproduct_bottom_padding',                 
                'peccular_featuredproduct_section_width'                     
                
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_featuredproduct_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( 
    $wp_customize, 'peccular_featuredproduct_enable',
    array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_featuredproduct_section'
)));

$wp_customize->add_setting(
    'peccular_featuredproduct_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'More Fun', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_featuredproduct_maintitle',
    array(
        'settings'      => 'peccular_featuredproduct_maintitle',
        'section'       => 'peccular_featuredproduct_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_featuredproduct_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Stuff', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_featuredproduct_subtitle',
    array(
        'settings'      => 'peccular_featuredproduct_subtitle',
        'section'       => 'peccular_featuredproduct_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'peccular' )
    )
);

// product category selection

lzCustomLable($wp_customize, 'peccular_featuredproduct_procattag', 'peccular_featuredproduct_section', 'Top Category Product Setting:');


$choices = getWooCategories($isObject = false, $id=0, $isParents = 0);

// print_r($choices);

lzCheckBoxElement($wp_customize, 'topcatproduct_categories', 'peccular_featuredproduct_section', $choices, $default=0, $label=__('Please select the Categories to show Product', 'peccular'));


///end category selection



$wp_customize->add_setting( 'peccular_featuredproduct_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_featuredproduct_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_featuredproduct_section',
    )));

$wp_customize->add_setting( 'peccular_featuredproduct_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_featuredproduct_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_featuredproduct_section',
    )));



$wp_customize->add_setting('peccular_featuredproduct_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_featuredproduct_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_featuredproduct_section',
    ));

    $wp_customize->add_setting('peccular_featuredproduct_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_featuredproduct_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_featuredproduct_section',
    ));

   

//colors
addColorPalatOption($wp_customize, 'peccular_featuredproduct_heading_color', 'peccular_featuredproduct_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_subheading_color', 'peccular_featuredproduct_section', 'Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_headborder1_color', 'peccular_featuredproduct_section', 'Heading Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_contboxbg_color', 'peccular_featuredproduct_section', 'Content Box BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxtitle_color', 'peccular_featuredproduct_section', 'Box Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxtitlehov_color', 'peccular_featuredproduct_section', 'Title Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxprice1_color', 'peccular_featuredproduct_section', 'Box Price1 Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxprice2_color', 'peccular_featuredproduct_section', 'Box Price2 Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bx1btntext_color', 'peccular_featuredproduct_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxbtnhovtext_color', 'peccular_featuredproduct_section', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxtbtnbg_color1', 'peccular_featuredproduct_section', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_featuredproduct_bxtbtnbg_color2', 'peccular_featuredproduct_section', 'Button BG Color ', '');


 $wp_customize->add_setting('peccular_featuredproduct_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_featuredproduct_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_featuredproduct_section'
   ));

    $wp_customize->add_setting('peccular_featuredproduct_top_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_featuredproduct_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_featuredproduct_section',
    ));
     $wp_customize->add_setting('peccular_featuredproduct_bottom_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_featuredproduct_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_featuredproduct_section',
    ));


  $wp_customize->add_setting('peccular_featuredproduct_section_width',array(
        'default' => 'Box width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_featuredproduct_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_featuredproduct_section',
    ));




// $wp_customize->add_setting('peccular_featuredproduct_post_image_height',array(
//         'default' => 460,
//         'sanitize_callback' => 'peccular_sanitize_integer'
//     ));
//     $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_featuredproduct_post_image_height',array(
//     'label' => __('Image Height','peccular'),
//     'section' => 'peccular_featuredproduct_section',
//     'input_attrs' => array(
//             'min' => 0,
//             'max' => 500,
//             'step' => 1,
//         ),
//     )));

    // $wp_customize->add_setting('peccular_featuredproduct_post_excerpt',array(
    //     'default' => 10,
    //     'sanitize_callback' => 'peccular_sanitize_integer'
    // ));
    // $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_featuredproduct_post_excerpt',array(
    // 'label' => __('Excerpt Length','peccular'),
    // 'section' => 'peccular_featuredproduct_section',
    // 'input_attrs' => array(
    //         'min' => 0,
    //         'max' => 100,
    //         'step' => 1,
    //     ),
    // )));
?>